:root {
  /* Boyscout */
  --bg: #ffffff;
  --bar: #ffffff;
  --border: #000000;
  --button: #949494;
  --main: #ffffff;
  --blue: #70bced;
  --orange: #ee951c;
}

html {
  font-family: "Doppio One", sans-serif;
  font-variant-ligatures: none; /* Disables all automatic ligatures */
  background-color: var(--bg);
}

html, body {
  margin: 0;
  padding: 0;
  height: 100%;
}

h1 {
  text-align: center;
}

/* Header Styles */
.site-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: var(--bar);
  min-height:30px;
  padding: 10px 20px;
}

.top-nav {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  flex-grow: 1;
  min-height: 60px;
}

.top-nav .logo {
  height: 140px;
  width: auto;
  filter: drop-shadow(5px 5px 0px rgba(0, 0, 0, 0.3));
}

.nav-list {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  align-items: center;
  min-height: 40px;
  gap: 20px;
}

.nav-list a {
  color: var(--border);
  text-decoration: none;
  font-weight: bold;
  font-size: 1.1em;
  padding: 12px 20px;
  border-radius: 8px;
}

.nav-list a:hover {
  background-color: var(--orange);
  color: white;
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
}

.no-hover {
  background-color: transparent !important;
  color: var(--border) !important;
  box-shadow: none !important;
} 

.hamburger {
  display: none;
  cursor: pointer;
}

.bar {
  display: block;
  width: 25px;
  height: 3px;
  margin: 5px auto;
  background-color: black;
}

/* Body Styles */
.hero-image {
  width: 100%;
  height: 500px;
  object-fit: cover;
  display: block;
  margin: 0 auto;
}

.info-row {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

.info-block {
  align-items: center;
  justify-content: center;
  text-align: left;
  border-radius: 16px;
  padding: 10px 20px;
  margin: 20px;
  width: 400px;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.rise-on-hover:hover {
  transform: translateY(-5px);
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
}

.info-block h1 {
  text-align: right;
}

.info-block img {
  width: 100%;
  height: 500px;
  object-fit: cover;
  border-radius: 16px;
  margin-bottom: 16px;
}

.highlight {
  color: var(--orange);
  font-weight: bold;
}

h1 {
  font-size: 2rem;
  margin: 20px 0;
}

p {
  font-size: 1.2rem;
  margin: 10px 0;
}

.diagonal-stripe {
  background-color: var(--blue);
  margin-top: 50px;
  margin-bottom: 50px;
  padding: 5% 20px; /* Added a percentage value for top/bottom padding to keep the wrapper inside of the parent */
  
  -webkit-transform: skewY(-5deg);
  -moz-transform: skewY(-5deg);
  -ms-transform: skewY(-5deg);
  -o-transform: skewY(-5deg);
  transform: skewY(-5deg);
}

.diagonal-stripe > div {
  -webkit-transform: skewY(5deg);
  -moz-transform: skewY(5deg);
  -ms-transform: skewY(5deg);
  -o-transform: skewY(5deg);
  transform: skewY(5deg);

  text-align: center;
  max-width: 800px;
  margin: 0 auto;
}

.btn {
  margin: 40px 0;
}

.btn a{
  text-align: center;
  font-size: 1.2rem;
  color: var(--border);
  text-decoration: none;
  font-weight: bold;
  padding: 12px 20px;
  border-radius: 8px;
  border: 2px solid var(--border);
  text-wrap: nowrap;
}

.btn a:hover {
  background: var(--orange);
  border-color: var(--orange);
  color: #fff;
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
}

.blue a:hover {
  background: var(--blue);
  border-color: var(--blue);
  color: #000;
}

/* Social Media Icons */
.fa {
  padding: 20px;
  font-size: 30px;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  border: 2px solid var(--border);
  text-align: center;
  text-decoration: none;
  color: black;
}

.fa-facebook:hover {
  background: #3B5998;
  color: white;
  border-color: #3B5998;
}

.fa-instagram:hover {
  background: #db2087;
  color: white;
  border-color: #db2087;
}

.inline-socials {
  font-size: 1rem;
  margin-left: 10px;
}

.inline-socials i {
  text-decoration: none;
  color: var(--border);
  border: none;
  width: auto;
  height: auto;
  padding: 0;
}

.inline-socials i:hover {
  background: white;
  color: black;
  text-decoration: none;
}

.button-row {
  display: flex;
  justify-content: center;
  gap: 20px;
  margin-top: 20px;
}

/* Samples */
.sample-list {
  display: flex;
  justify-content: center;
  gap: 20px;
  padding: 40px 20px;
}

.sample-item {
  width: 400px;
}

/* About Us */


/* Bookings */
#book-form {
  max-width: 600px;
  margin: 0 auto;
  padding: 20px;
}

#book-form label {
  display: block;
  margin-bottom: 8px;
  padding: 8px 0;
  font-weight: bold;
}

#book-form input,
#book-form select,
#book-form textarea {
  width: 100%;
  padding: 12px;
  border: 1px solid #ccc;
  border-radius: 4px;
  font-size: 1rem;
  resize: none;
}

#book-form button {
  background: var(--blue);
  color: #fff;
  border: none;
  padding: 12px 20px;
  margin-top: 20px;
  font-size: 1.2rem;
  border-radius: 4px;
  cursor: pointer;
  font-family: "Doppio One", sans-serif;
}

#book-form button:hover {
  background: var(--orange);
}

/* Small screens */
@media (max-width: 900px) {
  .info-block h1 {
    text-align: center;
  }

  #services-row {
    flex-direction: column;
    align-items: center;
  }

  .service-card {
    width: calc(100% - 40px);
    max-width: 500px;
  }

  .sample-list {
    flex-direction: column;
    align-items: center;
  }

  .profile-card {
    flex-direction: column;
    align-items: flex-start;
  }

  .profile-card img {
    width: 100%;
    max-width: 400px;
    height: auto;
  }

  .site-header {
    margin: 0px;
  }
  .top-nav {
    flex-direction: column;
    gap: 6px;
    padding: 0px;
  }
  .top-nav .logo {
    height: 70px;
  }
  .nav-list {
    flex-direction: column;
    width: 100%;
    display: none; /* Hide the nav list by default */
    gap: 20px;
  }
  .nav-list.active {
    display: flex; /* Show the nav list when active */
  }
  .hamburger {
    display: block; /* Show the hamburger menu on small screens */
  }
}